
var angular = require('cla_angular');
window.angular = angular;

require('user_picker');
require('cla_select2');

require('ng.cla.core.user_picker');
require('ng.cla.core.date_picker');
require('ng.cla.core.group_picker');
require('ng.cla.core.role_picker');
require('ng.cla.core.sugre_picker');

//require('datatable');

require('./datatable/form/form.app.js');
require('./datatable/form/form.controller.js');

module.exports = {
	init: function (dom_element) {
		if (typeof angular.element(dom_element).scope() === 'undefined') {
			angular.bootstrap(dom_element, ["cla.core.dtform"]);
		}
	}
};